
/*搜索*/
function CKSearch(){
var eType=trim(document.sform.eType.value);
var Title=trim(document.sform.Title.value);
if (Title==""){
	alert("请输入关键字");
	return false;
	exit;
}
window.location.href=eType+'List.asp?Title='+Title;
return true;
}

/*在线留言*/
function CKBook(){
   if (trim(document.eform.Title.value).length<3 || trim(document.eform.Title.value).length>30){
	  alert("标题为3~30个字符");
	  return false;
	  exit;
   }
   if (trim(document.eform.UserName.value).length<2 || trim(document.eform.UserName.value).length>10){
	  alert("昵称为2~10个字符");
	  return false;
	  exit;
   }
   return true;
}


/*删除空字符串*/
function trim(str){return str.replace(/(^\s*)|(\s*$)/g, "");} //删除左右两端的空格
function ltrim(str){return str.replace(/(^\s*)/g,"");} //删除左边的空格
function rtrim(str){return str.replace(/(\s*$)/g,"");} //删除右边的空格

function display(y){$Obj(y).style.display=($Obj(y).style.display=="none")?"":"none";}
function $Obj(objname){return document.getElementById(objname);}

// ==================================================


/*会员登录*/
function CKLogin(){
   if (trim(document.Loginform.UserName.value).length<2 || trim(document.Loginform.UserName.value).length>15){
	  alert("用户名错误");
	  return false;
	  exit;
   }
   if (trim(document.Loginform.PassWord.value).length<5 || trim(document.Loginform.PassWord.value).length>18){
	  alert("密码错误");
	  return false;
	  exit;
   }
   if (trim(document.Loginform.Code.value) == ""){
	  alert("请填写验证码");
	  return false;
	  exit;
   }
   return true;
}

/*会员注册*/
function CKReg(){
   if (trim(document.Regform.UserName.value).length<2 || trim(document.Regform.UserName.value).length>15){
	  alert("用户名为2~15个字符");
	  return false;
	  exit;
   }
   if (trim(document.Regform.PassWord.value).length<6 || trim(document.Regform.PassWord.value).length>18){
	  alert("密码为6~18个字符");
	  return false;
	  exit;
   }
   var ispass=(/^\w+$/);   
   if (!ispass.test(document.Regform.PassWord.value)){
	  alert("密码只能包含字母数字");
	  return false;
	  exit;
   }   
   if (trim(document.Regform.PassWord.value) !== trim(document.Regform.fPassWord.value)){
	  alert("两次输入的密码不一致");
	  return false;
	  exit;
   }
   if (trim(document.Regform.Code.value) == ""){
	  alert("请填写验证码");
	  return false;
	  exit;
   }
   return true;
}

function display2(obji){
var objn=3;
var objs='Info';
	for (i=1;i<=objn;i++){
		if (i==obji){
		$Obj(objs+i).style.display='block';
		}else{
		$Obj(objs+i).style.display='none';
		}	
	}
}


function ajax_res(fid,ftext){
var lid=fid;
var ltext=ftext;
var tid='t'+lid;
var lstr="<li class='close'><img src='img/no.gif' width='12' onclick=\"$Obj('"+tid+"').className='hidden'\"></li>";
switch(lid){
	case 'cTel':
		//---special
		if(ftext.length>5){alert('房源重复，请不要重复录入！');$Obj(lid).value='';}
	break;
	default:
		var atext=ltext.split('|');
		for (i=1;i<atext.length;i++){lstr+="<li onclick=\"$Obj('"+lid+"').value='"+trim(atext[i])+"';$Obj('"+tid+"').className='hidden'\"><a>"+trim(atext[i])+"</a></li>";}
		$Obj(tid).innerHTML = lstr;
		$Obj(tid).className = 'afloat';
	/*
	select example
	------------------
	lstr+="<select id='f"+lid+"' onchange=\"$Obj('"+lid+"').value=this.value\">";
	for (i=1;i<atext.length;i++){lstr+="<option value='"+atext[i]+"'>"+atext[i]+"</option>";}
	lstr+="</select>";
	*/
}
//alert(lstr);
}